package com.ruoyi.project.shiftmgr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.shiftmgr.mapper.TShiftDailyInstDetailMapper;
import com.ruoyi.project.shiftmgr.domain.TShiftDailyInstDetail;
import com.ruoyi.project.shiftmgr.service.ITShiftDailyInstDetailService;

/**
 * 每日生产指令Service业务层处理
 *
 * @author ruoyi
 * @date 2022-08-03
 */
@Service
public class TShiftDailyInstDetailServiceImpl implements ITShiftDailyInstDetailService
{
    @Autowired
    private TShiftDailyInstDetailMapper tShiftDailyInstDetailMapper;

    /**
     * 查询每日生产指令
     *
     * @param id 每日生产指令ID
     * @return 每日生产指令
     */
    @Override
    public TShiftDailyInstDetail selectTShiftDailyInstDetailById(Long id)
    {
        return tShiftDailyInstDetailMapper.selectTShiftDailyInstDetailById(id);
    }

    /**
     * 查询每日生产指令列表
     *
     * @param tShiftDailyInstDetail 每日生产指令
     * @return 每日生产指令
     */
    @Override
    public List<TShiftDailyInstDetail> selectTShiftDailyInstDetailList(TShiftDailyInstDetail tShiftDailyInstDetail)
    {
        return tShiftDailyInstDetailMapper.selectTShiftDailyInstDetailList(tShiftDailyInstDetail);
    }

    /**
     * 新增每日生产指令
     *
     * @param tShiftDailyInstDetail 每日生产指令
     * @return 结果
     */
    @Override
    public int insertTShiftDailyInstDetail(TShiftDailyInstDetail tShiftDailyInstDetail)
    {
        return tShiftDailyInstDetailMapper.insertTShiftDailyInstDetail(tShiftDailyInstDetail);
    }

    /**
     * 修改每日生产指令
     *
     * @param tShiftDailyInstDetail 每日生产指令
     * @return 结果
     */
    @Override
    public int updateTShiftDailyInstDetail(TShiftDailyInstDetail tShiftDailyInstDetail)
    {
        return tShiftDailyInstDetailMapper.updateTShiftDailyInstDetail(tShiftDailyInstDetail);
    }

    /**
     * 批量删除每日生产指令
     *
     * @param ids 需要删除的每日生产指令ID
     * @return 结果
     */
    @Override
    public int deleteTShiftDailyInstDetailByIds(Long[] ids)
    {
        return tShiftDailyInstDetailMapper.deleteTShiftDailyInstDetailByIds(ids);
    }

    /**
     * 删除每日生产指令信息
     *
     * @param id 每日生产指令ID
     * @return 结果
     */
    @Override
    public int deleteTShiftDailyInstDetailById(Long id)
    {
        return tShiftDailyInstDetailMapper.deleteTShiftDailyInstDetailById(id);
    }
}
